# Architecture Kata GRUPO 4


## CHECK YOUR WORK

A university has greatly expanded its CS course and wants to be able to automate the grading of simple programming assignments.

Users: 300+ students per year, plus staff and admin.

## Requirements:
- students must be able to upload their source code, which will be run and graded
- grades and runs must be persistent and audit-able
- required plagiarism detection system involving comparing with other submissions and also submitting to a web-based service (TurnItIn).
- integration required with the University's learning management system (LMS)
- professor sets due date and time, after which submissions are rejected
students can submit as many attempts as they want to improve their grade
professors determine grading criteria, which may include metrics and/or tests

## Additional Context:

- University's LMS is mainframe based and quite difficult to make changes to
- grades are audited each year by state-based regulatory body
- University has very little budget for IT as it is building a spare stadium for SportsBall
- University has a record for highest-performing CS graduates in the country

## Team
- Mauricio Romero
- Edwin Gallardo
- Freddy Tacuri
- Héctor Andrade

## Content
- [ADR](adr/README.md)
- [Diagramas](diagramas/index.md)

## References
- [Neal Ford Kata Check Your Work](https://nealford.com/katas/kata?id=CheckYourWork)
